Loading...
Searching...
No Matches

add_idle
add_read
add_timeout
add_write
bgloop
default
endloop
fgloop
have_ssl
iteration
log
log_date
log_output
lookup
makestr
modulename
remove_idle
remove_read
remove_timeout
remove_write
set_log_output
wrap

## log()

network.log | ( | * | message,
|  |  | filename = None,
|  |  | line = None,
|  |  | funcname = None,
|  |  | depth = 0 )

Log a message.

Write a message to log (default standard error, can be changed with set_log_output()). A timestamp is added before the message and a newline is added to it.

Parameters

  message | The message to log. Multiple arguments are logged on separate lines. Newlines in arguments cause the message to be split, so they should not contain a closing newline.
  filename | Override filename to report.
  line | Override line number to report.
  funcname | Override function name to report.
  depth | How deep to enter into the call stack for function info.

Returns
  None.

Definition at line 102 of file network.py.

Here is the caller graph for this function: